Subject: [dnsop] DNS service in mobile environment

From: "Jaehoon Jeong" <[email-masked]>
Date: Wed, 5 Mar 2003 10:28:57 +0900

Recently, Mobile IP is taking an important position in the next generation Internet.
Mobileip wg is mainly discussing the routing in Mobile IP.
I think it is the time for dnsop wg to discuss the DNS service in the mobile environment, 
such as Mobile IPv4/IPv6 (MIPv4/MIPv6), Hierarchical Mobile IPv6 (HMIPv6), Fast Mobile IPv6 (FMIPv6) 
and Mobile Ad-hoc Network (MANET).
In this context, I have submitted a draft to discuss the autoconfiguration of recursive DNS server 
for DNS name resolution and the optimization of name resolution in HMIPv6.
The main idea of this draft is to use RA message for advertising the MAP address 
in order to inform HMIPv6-enabled mobile node of the address of recursive DNS server(s)
which is (or are) placed in the same MAP domain.

The draft includes the following:

* Autoconfiguration of recursive DNS server for DNS name resolution in HMIPv6

* Optimization of DNS name resolution in HMIPv6

* Update of the configuration file for DNS resolver (e.g., /etc/resolv.conf in Linux) 

* Definition of a new RA option for advertising the address of recursive DNS server

The draft can be found in http://www.ietf.org/internet-drafts/draft-jeong-hmipv6-dns-optimization-00.txt

I hope my draft will be a motive of discussing the DNS service in the mobile environment 
such as mobile-ip and ad-hoc network.
I would like to wait for your valuable comments.

Thanks.

Jaehoon